box.hpp File Reference

## Classes

class | ranges::box< Element, Tag, box_compress >
class | ranges::box< Element, Tag, detail::box_compress::coalesce >
class | ranges::box< Element, Tag, detail::box_compress::ebo >

## Functions

template<std::size_t I, typename Element , detail::box_compress BC>
constexpr Element && | ranges::get (box< Element, meta::size_t< I >, BC > &&b) noexcept
template<std::size_t I, typename Element , detail::box_compress BC>
constexpr Element & | ranges::get (box< Element, meta::size_t< I >, BC > &b) noexcept
template<std::size_t I, typename Element , detail::box_compress BC>
constexpr Element const & | ranges::get (box< Element, meta::size_t< I >, BC > const &b) noexcept
template<typename Tag , typename Element , detail::box_compress BC>
constexpr Element && | ranges::get (box< Element, Tag, BC > &&b) noexcept
template<typename Tag , typename Element , detail::box_compress BC>
constexpr Element & | ranges::get (box< Element, Tag, BC > &b) noexcept
template<typename Tag , typename Element , detail::box_compress BC>
constexpr Element const & | ranges::get (box< Element, Tag, BC > const &b) noexcept